# cPy - demonstrating incorrect sequential task execution
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 010  2025-10-06  initial release

import	time

# ============================== demo ===============================

# print '@' @ 1 Sec
def task1():
    for _ in range(10):
        print('@', end='')
        time.sleep(1)


# print '*' @ 0.5 Sec
def task2():
    for _ in range(10):
        print('*', end='')
        time.sleep(0.5)


# print '.' @ 0.25 Sec
def task3():
    for _ in range(10):
        print('.', end='')
        time.sleep(0.25)


# main loop executing task1, task2 and task3
def main():
    try:
        while True:
            task1()
            task2()
            task3()
    except:
        print('\napplication terminated')
        
        
main()

# ============================== end ===============================
